Gem on windows fails with 1.9.0

After installing 1.9.0-0 binaries from
http://www.ruby-lang.org/en/downloads/
on Windows, gem (i.e. gem list) fails with a popup diagnostic saying
“The
application
failed to start because zlib.dll was not found.”

Any help on where to get this dll and where to put it is appreciated.
Thanks.

On 24 ene, 02:48, Munagala R. [email protected] wrote:

[Note: parts of this message were removed to make it a legal post.]

After installing 1.9.0-0 binaries fromhttp://www.ruby-lang.org/en/downloads/
on Windows, gem (i.e. gem list) fails with a popup diagnostic saying “The
application
failed to start because zlib.dll was not found.”

The message is clear: you lack zlib.dll file to use RubyGems
(actually, the zlib extension is the one uss it).

Any help on where to get this dll and where to put it is appreciated.

Try looking at http://www.zlib.net/ download the windows pre-compiled
binaries, rename the zlib1.dll and put it there.

HTH,

On Jan 24, 7:40 am, Luis L. [email protected] wrote:

(actually, the zlib extension is the one uss it).

Any help on where to get this dll and where to put it is appreciated.

Try looking athttp://www.zlib.net/download the windows pre-compiled
binaries, rename the zlib1.dll and put it there.

All the more reason we need a pure Ruby version of Zlib. :slight_smile:

Regards,

Dan

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs